/*--

   Copyright (c) 2004 Ambros Marzetta and David Bremner

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

--*/
/* z_ps.c (ZRAM Procedure Sets)

   Ambros Marzetta
   94-11-10
   
 * $Source$
 * $Revision: 5167 $
 * $Date: 2004-10-20 13:20:33 -0300 (Wed, 20 Oct 2004) $
 * $Log$
 * Revision 1.3  2004/10/20 16:20:32  bremner
 * added copyright notice and GPL boilerplate
 *
 * Revision 1.2  2000/11/15 16:14:52  bremner
 *
 * committing patched version of zram source
 *
 * Revision 1.2  1996/04/09  13:27:45  marzetta
 * detect uninitialized procsets
 *
 * Revision 1.1  1995/07/24  13:55:43  marzetta
 * Initial revision
 *
 */

#include <assert.h>
#include "z_ps.h"

#define MAXPROCSET 30
static z_ProcSetP gprocset[MAXPROCSET];
static unsigned int numProcSet;

z_ProcSetNum z_InstallProcSet(z_ProcSetP procset)
{
  /* Store the address of procset and return a reference number for it. */
  assert(numProcSet < MAXPROCSET);
  gprocset[numProcSet] = procset;
  return (++ numProcSet);
} /* z_InstallProcSet */


z_ProcSetP z_GetProcSet(z_ProcSetNum n)
{
  /* Return the procset with reference number n.
     n == 0 is not allowed in order to detect uninitialized procsets.
     */
  assert(n > 0 && n <= numProcSet);
  return gprocset[n-1];
} /* z_GetProcSet */
