/*--

   Copyright (c) 2004 Ambros Marzetta and David Bremner

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

--*/
/* z_signal.h (ZRAM: signal handler)
   Ambros Marzetta

 * $Source$
 * $Revision: 5167 $
 * $Date: 2004-10-20 13:20:33 -0300 (Wed, 20 Oct 2004) $
 * $Log$
 * Revision 1.4  2004/10/20 16:20:32  bremner
 * added copyright notice and GPL boilerplate
 *
 * Revision 1.3  2001/08/18 03:07:36  bremner
 * checkpointing seems to work
 *
 * Revision 1.2  2000/11/15 16:14:52  bremner
 *
 * committing patched version of zram source
 *
 * Revision 1.1  1996/05/08  20:30:42  marzetta
 * Initial revision
 *
 */

#ifndef _Z_SIGNAL_H_
#define _Z_SIGNAL_H_

extern boolean z_signal_trace;	/* trace the signal handler */
/* extern long z_signal_checkpointTime; */
                                /* time in seconds between checkpoints */

void z_StartCheckpointTimer(long timeout);

void z_signal_Init(void);
/* Install a signal handler for the terminate signal. When the process
   receives the signal, it sets the z_terminate and z_checkpoint variables
   defined in z_base.h.
   */

#endif /* _Z_SIGNAL_H_ */
