/*--

   Copyright (c) 2004 Ambros Marzetta and David Bremner

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

--*/
/*----*/
%{
 
#include <stdio.h>
#include <stdlib.h>
#include <limits.h>

#include "zconf.h"
#include "zconf.tab.h"

#define db(s) fprintf(stderr,s); 
int zclineno;

%}
 
%%
\n {zclineno++;};

^\#.*$		;		/* ignore  comments */
[\t ]+		;		/* ignore whitespace */	
0[xX][0-9a-fA-F]+ { zclval.integer=strtol((const char *)yytext+2,NULL,16); 
		return INT;}
[0-9]+	{ zclval.integer=atol((const char *)yytext);
		  return INT; };

\{	return LBRACE;
\}	return RBRACE;
[:=]    return EQUALS;
\;     return SEMI; 

seq		return SEQ;
proc		return PROC;
num_procs  return NUM_PROCS; 
sentinel return SENTINEL;
checkpoint return CHECKPOINT; 
version		return VERSION;
arch		return ARCH;
global		return GLOBAL;

[a-zA-Z0-9\./_]+ {strncpy(zclval.string,yytext,PATH_MAX); return STRING;}
%%


int yywrap(){
  return 1;
}


int zcerror(char *s){
  fprintf(stderr,"\nline %d: %s (%s)\n",zclineno, s,yytext);
  return 0;
}
